IBV_MODIFY_CQ(3)

NAME
ibv_modify_cq - modify a completion queue (CQ)

SYNOPSIS
#include <infiniband/verbs.h>

int ibv_modify_cq(struct ibv_cq *cq, struct ibv_modify_cq_attr *cq_attr);

DESCRIPTION
ibv_modify_cq() modify a CQ cq. The argument cq_attr is an ibv_modify_cq_attr struct, as defined in <infiniband/verbs.h>.

struct ibv_moderate_cq {
uint16_t cq_count;  /* number of completions per event */
uint16_t cq_period; /* in micro seconds */
};
struct ibv_modify_cq_attr {
	uint32_t attr_mask;
	struct ibv_moderate_cq moderate;
};

The function ibv_modify_cq() will modify the CQ, based on the given cq_attr->attr_mask

RETURN VALUE
returns 0 on success, or the value of errno on failure (which indicates the failure reason).

SEE ALSO
ibv_create_cq(3)

AUTHORS

Yonatan Cohen <yonatanc@mellanox.com>